#ifndef BOOT_AVR32_INCLUDE_UBOOT_H
#define BOOT_AVR32_INCLUDE_UBOOT_H

#include <sys/types.h>

/*
 * Interface to U-Boot bootloader.
 */

#define UBOOT_CFRAMESIZE	0x40

/* configuration frame that u-boot places into RAM */
struct uboot_cframe {
	uint32_t	ucf_unknown0[2];

	uint32_t	ucf_baudrate;

	uint32_t	ucf_unknown1[6];

	uint32_t	ucf_bootparams;

	uint32_t	ucf_memstart;
	uint32_t	ucf_memsize;

	uint32_t	ucf_flashstart;
	uint32_t	ucf_flashsize;
	uint32_t	ucf_flashoffset;

	uint32_t	ucf_crc32;
} __attribute__((packed));


struct uboot_cframe *uboot_map(uint32_t cframeaddr);


#endif /* !BOOT_AVR32_INCLUDE_UBOOT_H */
